SDL_GetJoystickFirmwareVersion(3)

NAME
SDL_GetJoystickFirmwareVersion - Get the firmware version of an opened joystick, if available.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint16 SDL_GetJoystickFirmwareVersion(SDL_Joystick *joystick);

DESCRIPTION
If the firmware version isn't available this function returns 0.

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     obtained from SDL_OpenJoystick ()

RETURN VALUE
Returns the firmware version of the selected joystick, or 0 if unavailable.

AVAILABILITY
This function is available since SDL 3.0.0.